package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;
import java.util.ArrayList;

public class PeopleTest {
    private People people = new People();
    Person neo = new Person("Neo", 40);

    @Test
    public void testAdd() {
        //GIVEN
        //WHEN
        int expected = people.getCount() + 1;
        people.addPerson(neo);
        //TEST
        int actual = people.getCount();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testRemoveByPerson() {
        //GIVEN
        people.addPerson(neo);
        //WHEN
        int expected = people.getCount() - 1;
        people.removeById(neo.getId());
        //TEST
        int actual = people.getCount();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindById() {
        //GIVEN
        people.addPerson(neo);
        //WHEN
        Person expected = neo;
        //TEST
        Person actual = people.findById(40);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testRemoveById() {
        //GIVEN
        people.addPerson(neo);
        //WHEN
        int expected = people.getCount() - 1;
        people.removeByPerson(neo);
        //TEST
        int actual = people.getCount();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetArray() {
        //GIVEN
        people.addPerson(neo);
        //WHEN
        ArrayList<Person> expected = people.personList;
        //TEST
        ArrayList<Person> actual = people.getArray();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testRemoveAll() {
        //GIVEN
        people.addPerson(neo);
        //WHEN
        int expected = 0;
        //TEST
        people.removeAll();
        int actual = people.getCount();
        Assert.assertEquals(expected, actual);
    }
}
